﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour ValiderSubmit.xaml
    /// </summary>
    /// 

    public partial class ValiderSubmit : Window
    {

        public Manager Mgr => (Application.Current as App).LeManager;
        public ValiderSubmit()
        {
            InitializeComponent();
            Mgr.LoadRequins();

            DataContext = Mgr;


            chargerUC();

        }

    private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        public void chargerUC()
        {
            foreach (Requin req in Mgr.Requins)
            {
                laListe.Items.Add(new UserControlRequin { requin = req });
            }
        }

    }
}
